<?php
namespace Bushelpowered\Api\Aggregator\Businesspages\V1\Model;
        
class StaffBusinessLocationListItem 
{
    /** @var string $id The primary unique identifier.*/
    public string $id;
    /** @var string $locationId The id of the Associated Tenant Service Location.*/
    public string $locationId;
    /** @var null|string $locationName location name*/
    public ?string $locationName = null;
    /** @var string $status An indicator of the business locations publishing status.*/
    public string $status;

    /**
     * @param  string  $id The primary unique identifier.
     * @param  string  $locationId The id of the Associated Tenant Service Location.
     * @param  null|string  $locationName location name
     * @param  string  $status An indicator of the business locations publishing status.
     */
    public function __construct(string $id, string $locationId, ?string $locationName, string $status)
    {
        $this->id = $id;
        $this->locationId = $locationId;
        $this->locationName = $locationName;
        $this->status = $status;
    }
    

}