<?php
namespace Bushelpowered\Api\Aggregator\Crm\V1\Request;
        
class AssignStaffUsersRequest 
{
    /** @var string $customerId Id of the customer*/
    public string $customerId;
    /** @var string[] $userIds A list of user ids to assign to the customer*/
    public array $userIds;

    /**
     * @param  string  $customerId Id of the customer
     * @param  string[]  $userIds A list of user ids to assign to the customer
     */
    public function __construct(string $customerId, array $userIds)
    {
        $this->customerId = $customerId;
        $this->userIds = $userIds;
    }
    

}