<?php
namespace Bushelpowered\Api\Businesspages\V1\Request;
        
class SpecialtyProgramParagraphRequest 
{
    /** @var string $title The title of the paragraph. Limit of 50 characters.*/
    public string $title;
    /** @var string $description The body/content of the paragraph. Limit of 1000 characters.*/
    public string $description;

    /**
     * @param  string  $title The title of the paragraph. Limit of 50 characters.
     * @param  string  $description The body/content of the paragraph. Limit of 1000 characters.
     */
    public function __construct(string $title, string $description)
    {
        $this->title = $title;
        $this->description = $description;
    }
    

}