<?php
namespace Bushelpowered\Api\Crm\V1\Request;
        
class TaskFilters 
{
    /** @var null|string $status The status of the tasks to filter on: complete, notcomplete (default), both*/
    public ?string $status = null;
    /** @var null|string $startDueDate The start date of the due date range. of yyyy-MM-dd format, IE: 2023-10-04*/
    public ?string $startDueDate = null;
    /** @var null|string $endDueDate The end date of the due date range. of yyyy-MM-dd format, IE: 2023-10-04*/
    public ?string $endDueDate = null;

    /**
     * @param  null|string  $status The status of the tasks to filter on: complete, notcomplete (default), both
     * @param  null|string  $startDueDate The start date of the due date range. of yyyy-MM-dd format, IE: 2023-10-04
     * @param  null|string  $endDueDate The end date of the due date range. of yyyy-MM-dd format, IE: 2023-10-04
     */
    public function __construct(?string $status, ?string $startDueDate, ?string $endDueDate)
    {
        $this->status = $status;
        $this->startDueDate = $startDueDate;
        $this->endDueDate = $endDueDate;
    }
    

}