<?php
namespace Bushelpowered\Api\Iam\Access\Evaluate\V1\Response;
        
class LookupResourcesResponse implements \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\HasOptionalResultWindow
{
    /** @var \Bushelpowered\Api\Iam\Access\Evaluate\V1\Response\PermissionResult[] $results The results*/
    public array $results;
    /** @var null|\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken $resultWindow */
    public ?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken $resultWindow = null;

    /**
     * @param  \Bushelpowered\Api\Iam\Access\Evaluate\V1\Response\PermissionResult[]  $results The results
     * @param  null|\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken  $resultWindow 
     */
    public function __construct(array $results, ?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken $resultWindow)
    {
        $this->results = $results;
        $this->resultWindow = $resultWindow;
    }
    
    /**
     * @return null|\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken 
     */
    public function getResultWindow(): ?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\ConsistencyToken
    {
        return $this->resultWindow;
    }
}