<?php
namespace Bushelpowered\Api\Iam\Keycloak\V1\Request;
        
class GetOrCreateUserRequest 
{
    /** @var string $firstName The first name of the user*/
    public string $firstName;
    /** @var string $lastName The last name of the user*/
    public string $lastName;
    /** @var string $email The email address of the user*/
    public string $email;

    /**
     * @param  string  $firstName The first name of the user
     * @param  string  $lastName The last name of the user
     * @param  string  $email The email address of the user
     */
    public function __construct(string $firstName, string $lastName, string $email)
    {
        $this->firstName = $firstName;
        $this->lastName = $lastName;
        $this->email = $email;
    }
    

}