<?php
namespace Bushelpowered\Api\Businesspages\V1\Model;
        
class StaffDiscountScheduleListItem 
{
    /** @var string $id The primary unique identifier.*/
    public string $id;
    /** @var string $name The name of the discount schedule.*/
    public string $name;
    /** @var string $updatedAt The date and time the business location was updated. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $updatedAt;

    /**
     * @param  string  $id The primary unique identifier.
     * @param  string  $name The name of the discount schedule.
     * @param  string  $updatedAt The date and time the business location was updated. of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $id, string $name, string $updatedAt)
    {
        $this->id = $id;
        $this->name = $name;
        $this->updatedAt = $updatedAt;
    }
    

}