<?php
namespace Bushelpowered\Api\Businesspages\V1\Request;
        
class SpecialtyProgramAssociateFileRequest 
{
    /** @var string $id The id of the file that is attached to a Specialty Program.*/
    public string $id;
    /** @var string $name The name of the file that is attached to a Specialty Program. Limit of 50 characters.*/
    public string $name;

    /**
     * @param  string  $id The id of the file that is attached to a Specialty Program.
     * @param  string  $name The name of the file that is attached to a Specialty Program. Limit of 50 characters.
     */
    public function __construct(string $id, string $name)
    {
        $this->id = $id;
        $this->name = $name;
    }
    

}