<?php
namespace Bushelpowered\Api\Iam\Access\Evaluate\V1\Response;
        
class PermissionSubjectsResult 
{
    /** @var string $permission The permission is granted to all subjects.*/
    public string $permission;
    /** @var \Bushelpowered\Api\Iam\Access\Common\V1\Subjectable[] $subjects The list of subjects granted the permission for a given resource.*/
    public array $subjects;

    /**
     * @param  string  $permission The permission is granted to all subjects.
     * @param  \Bushelpowered\Api\Iam\Access\Common\V1\Subjectable[]  $subjects The list of subjects granted the permission for a given resource.
     */
    public function __construct(string $permission, array $subjects)
    {
        $this->permission = $permission;
        $this->subjects = $subjects;
    }
    

}