<?php
namespace Bushelpowered\Api\Platform\Branding\V1\Response;
        
class BundleIdSlug 
{
    /** @var string $flavorId */
    public string $flavorId;
    /** @var string $slug */
    public string $slug;
    /** @var null|string $iosBundleId */
    public ?string $iosBundleId = null;
    /** @var null|string $currentIosVersion */
    public ?string $currentIosVersion = null;
    /** @var null|string $androidBundleId */
    public ?string $androidBundleId = null;
    /** @var null|string $currentAndroidVersion */
    public ?string $currentAndroidVersion = null;
    /** @var string $createdAt  of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00*/
    public string $createdAt;

    /**
     * @param  string  $flavorId 
     * @param  string  $slug 
     * @param  null|string  $iosBundleId 
     * @param  null|string  $currentIosVersion 
     * @param  null|string  $androidBundleId 
     * @param  null|string  $currentAndroidVersion 
     * @param  string  $createdAt  of RFC-3339 format, IE: 2023-10-04T21:26:22+00:00
     */
    public function __construct(string $flavorId, string $slug, ?string $iosBundleId, ?string $currentIosVersion, ?string $androidBundleId, ?string $currentAndroidVersion, string $createdAt)
    {
        $this->flavorId = $flavorId;
        $this->slug = $slug;
        $this->iosBundleId = $iosBundleId;
        $this->currentIosVersion = $currentIosVersion;
        $this->androidBundleId = $androidBundleId;
        $this->currentAndroidVersion = $currentAndroidVersion;
        $this->createdAt = $createdAt;
    }
    

}