<?php
namespace Bushelpowered\Api\Trade\Esign\V1\Request;
        
class WithdrawDocumentRequest 
{
    /** @var string $documentId The id of the document to withdraw.*/
    public string $documentId;
    /** @var bool $shouldNotify Whether to notify the signers of the withdrawal.*/
    public bool $shouldNotify;

    /**
     * @param  string  $documentId The id of the document to withdraw.
     * @param  bool  $shouldNotify Whether to notify the signers of the withdrawal.
     */
    public function __construct(string $documentId, bool $shouldNotify)
    {
        $this->documentId = $documentId;
        $this->shouldNotify = $shouldNotify;
    }
    

}